Page Summary
-
Retrieves the status of a specific datafeed from a Merchant Center account using a GET request.
-
Requires path parameters for
merchantIdanddatafeedIdto identify the account and datafeed. -
Accepts optional query parameters (
country,feedLabel,language) to filter the status by target country and language. -
The request body should be empty, and the response will contain a
DatafeedStatusobject upon success. -
Authorization with the
https://www.googleapis.com/auth/contentscope is necessary.
- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Retrieves the status of a datafeed from your Merchant Center account.
HTTP request
GET https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/datafeedstatuses/{datafeedId}
Path parameters
| Parameters | |
|---|---|
merchantId |
The ID of the account that manages the datafeed. This account cannot be a multi-client account. |
datafeedId |
The ID of the datafeed. |
Query parameters
| Parameters | |
|---|---|
country |
Deprecated. Use The country to get the datafeed status for. If this parameter is provided then |
feedLabel |
The feed label to get the datafeed status for. If this parameter is provided then |
language |
The language to get the datafeed status for. If this parameter is provided then |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of DatafeedStatus.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.